al_enable_menu_event_source(3)

NAME

al_enable_menu_event_source - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_native_dialog.h>
    ALLEGRO_EVENT_SOURCE *al_enable_menu_event_source(ALLEGRO_MENU *menu)

DESCRIPTION

Enables a unique event source for this menu. It and all of its sub-menus will use this event source. (It is safe to call this multiple times on the same menu.)

Returns the event source.

SINCE

5.1.0

SEE ALSO

al_register_event_source(3), al_get_default_menu_event_source(3), al_disable_menu_event_source(3)